
clc
clear

rng('default')
%Graph of N vs Time (MP verses Matpower)
K=1; %iterations per N
i=0;
for N=20:10:100
    i=i+1;
    tM(i)=0;
    tS(i)=0;
    TCM(i)=0;
    TCS(i)=0;
    eN(i)=0;

    for k=1:K
    c=5;
    [Lambda]=zCreateLambdaFixed(N,5,-3); %gen must be twice con
 
    G = zCreateRandRegGraph(N,c);
    [Links]=zSparseNetworkMatrixIntoLinks(G,N);
    
    [SatisfiedS, EdgesS, TimeS, TotalSat, TotalLam ]=LoadShedding(Lambda,Links,5000);
    
    CreateCase(Links,Lambda,k);
        
    a=['mycase' num2str(N) num2str(k)];
    [SatisfiedM, EdgesM, TimeM] = runopf(a);
    tM(i)=tM(i)+TimeM;
    tS(i)=tS(i)+TimeS;
    TCM(i)=TCM(i)+sum(EdgesM(:,3).^2);
    TCS(i)=TCS(i)+sum(EdgesS(:,3).^2);
    eN(i)=eN(i)+N;
    end
    tM(i)=tM(i)/K;
    tS(i)=tS(i)/K;
    TCM(i)=TCM(i)/K;
    TCS(i)=TCS(i)/K;
    eN(i)=eN(i)/K;

end

% save('ComparisonPlot.mat')
% 
% quit
% exit
 
figure(1)
plot(eN,tS,'k*-')
hold on 
plot(eN,tM,'rx-')

figure(2)
plot(eN,TCS,'k*-')
hold on 
plot(eN,TCM,'rx-')

