function[Satisfied,TotalSat,TotalLam,Given]=zCheck(Lambda,Y,NeighbourICon,Small,ResistanceM)

if nargin<5
    ResistanceM=ones(length(Lambda));
end

N=length(Lambda);

Satisfied=zeros(1,N);
for i=1:N
    Satisfied(i)=Lambda(i);     % = The values at each node after converged =Lambda-sum(Y's)
end

for i=1:N
    for j=1:NeighbourICon(i)
        Satisfied(i)=Satisfied(i)+Y(i,j)/ResistanceM(i,j);
    end
    Satisfied(i);
end

for i=1:N
    if abs(Satisfied(i))<Small;
        Satisfied(i)=0;
    end
end

Given=Lambda-Satisfied;

TotalSat=sum(Satisfied);    % TotalSat  = The total power in the network after convergence
TotalLam=sum(Lambda);       % TotalLam  = The total power in the network before convergence

end